# Git设置多个仓库同时推送

## 添加
在Git中，有时我们需要将同一份代码推送到不同的远程仓库，只是URL地址不同。

下面是一种优化的方法来设置多个仓库同时推送：

```bash
# 添加一个新的远程仓库
git remote set-url --add origin2 新的仓库地址
```

这样，你就可以同时推送代码到多个远程仓库了。

## 删除
### 删除全部
如果你想删除一个已经添加的远程仓库所有的地址`origin2`

```bash
git remote remove origin2
```

这样就可以将名为`origin2`的远程仓库从你的本地仓库中移除了。

### 删除一个
如果只是想删除其中一个地址，如：

```plain
origin  https://gitee.com/1 (fetch)
origin  https://gitee.com/2 (push)
origin  http://3 (push)
```

只需要输入

```shell
git remote set-url --delete origin http://60.204.230.80:3000/BunnyBBS/web.git
```

