---
dir:
  order: 1
---

# 权限管理设计基础数据字典
https://www.cnblogs.com/myindex/p/9116177.html

## 1.用户信息表：
| **用户信息表****(UserInfo)** | | | |
| --- | --- | --- | --- |
| 字段名称 | 字段 | 类型 | 备注 |
| 用户ID | ID | Int | PK not null |
| 用户名 | UserName | Varchar(20) | not null |


## 2.角色表：
| **角色表****(Role)** | | | |
| --- | --- | --- | --- |
| 字段名称 | 字段 | 类型 | 备注 |
| 角色ID | ID | Int | PK not null |
| 角色名 | RoleName | Varchar(30) | not null |


## 3.用户与角色关联表
| **用户与角色关联表****(User_Role)** | | | |
| --- | --- | --- | --- |
| 字段名称 | 字段 | 类型 | 备注 |
| ID | ID | Int | PK not null |
| 用户ID | UserId | Int | FK not null |
| 角色ID | RoleId | Int | FK not null |


## 4.用户组表
| **用户组表****(UserGroup)** | | | |
| --- | --- | --- | --- |
| 字段名称 | 字段 | 类型 | 备注 |
| 用户组ID | ID | Int | PK not null |
| 用户组名 | UserGroupName | Varchar(30) | not null |


## 5.用户组与用户信息关联表
| **用户组与用户信息关联表****(UserGroup_UserInfo)** | | | |
| --- | --- | --- | --- |
| 字段名称 | 字段 | 类型 | 备注 |
| ID | ID | Int | PK not null |
| 用户组ID | UserGroupId | Int | FK not null |
| 用户ID | UserId | Int | FK not null |


## 6.用户组与角色关联表
| **用户组与角色关联表****(UserGroup_Role)** | | | |
| --- | --- | --- | --- |
| 字段名称 | 字段 | 类型 | 备注 |
| ID | ID | Int | PK not null |
| 用户组ID | UserGroupId | Int | FK not null |
| 角色ID | RoleId | Int | FK not null |


## 7.菜单表
| **菜单表****(Menu)** | | | |
| --- | --- | --- | --- |
| 字段名称 | 字段 | 类型 | 备注 |
| ID | ID | Int | PK not null |
| 菜单名称 | MenuName | Varchar(30) | not null |
| 菜单URL | MenuUrl | Varchar(100) |  |
| 菜单父ID | ParentId | Int |  |


## 8.页面元素表
| **页面元素表****(PageElement)** | | | |
| --- | --- | --- | --- |
| 字段名称 | 字段 | 类型 | 备注 |
| ID | ID | Int | PK not null |
| 页面元素名称 | PageElementName | Varchar(100) | not null |


## 9.文件表
| **文件表****(File)** | | | |
| --- | --- | --- | --- |
| 字段名称 | 字段 | 类型 | 备注 |
| ID | ID | Int | PK not null |
| 文件名称 | FileName | Varchar(50) | not null |
| 文件路径 | FilePath | Varchar(100) |  |


## 10.权限表
| **权限表****(Power)** | | | |
| --- | --- | --- | --- |
| 字段名称 | 字段 | 类型 | 备注 |
| ID | ID | Int | PK not null |
| 权限类型 | PowerType | Varchar(50) | not null |


## 11.权限与菜单关联表
| **权限与菜单关联表****(Power_Menu)** | | | |
| --- | --- | --- | --- |
| 字段名称 | 字段 | 类型 | 备注 |
| ID | ID | Int | PK not null |
| 权限ID | PowerId | Int | FK not null |
| 菜单ID | MenuId | Int | FK not null |


## 12.权限与页面元素关联表
| **权限与页面元素关联表****(Power_Element)** | | | |
| --- | --- | --- | --- |
| 字段名称 | 字段 | 类型 | 备注 |
| ID | ID | Int | PK not null |
| 权限ID | PowerId | Int | FK not null |
| 页面元素ID | ElementId | Int | FK not null |


## 13.权限与文件关联表
| **权限与文件关联表****(Power_File)** | | | |
| --- | --- | --- | --- |
| 字段名称 | 字段 | 类型 | 备注 |
| ID | ID | Int | PK not null |
| 权限ID | PowerId | Int | FK not null |
| 文件ID | FileId | Int | FK not null |


## 14.功能操作表
| **功能操作表****(Operation)** | | | |
| --- | --- | --- | --- |
| 字段名称 | 字段 | 类型 | 备注 |
| ID | ID | Int | PK not null |
| 操作名称 | OperationName | Varchar(50) | not null |
| 操作编码 | OperationCode | Varchar(50) |  |
| 拦截URL前缀 | Ljurlqz | Varchar(100) |  |
| 操作父ID | ParentId | Int |  |


## 15.权限与功能操作关联表
| **权限与功能操作关联表****(Power_Operation)** | | | |
| --- | --- | --- | --- |
| 字段名称 | 字段 | 类型 | 备注 |
| ID | ID | Int | PK not null |
| 权限ID | PowerId | Int | FK not null |
| 操作ID | OperationId | Int | FK not null |


## 16.角色与权限关联表
| **角色与权限关联表****(Role_Power)** | | | |
| --- | --- | --- | --- |
| 字段名称 | 字段 | 类型 | 备注 |
| ID | ID | Int | PK not null |
| 角色ID | RoleId | Int | FK not null |
| 权限ID | PowerId | Int | FK not null |


## 17.操作日志表
| **操作日志表****(OperationLog)** | | | |
| --- | --- | --- | --- |
| 字段名称 | 字段 | 类型 | 备注 |
| ID | ID | Int | PK not null |
| 操作类型Id | OperationTypeId | Int | FK not null |
| 操作内容 | OperationContent | Varchar(500) |  |
| 操作用户ID | OperationUserId | Int | FK not null |
| 操作时间 | OperationTime | Date |  |



