---
title: 系统相关
index: true
icon: icon-park-solid:system
headerDepth: 4
category:
  - 笔记
  - 记录
  - 学习
  - Linux
  - 系统
---

<Catalog />

## Linux校准时间 Centos

1. 首先，确保系统中已经安装了`tzdata`包。如果没有安装，可以使用以下命令安装：

```bash
sudo yum install tzdata
```

1. 设置系统时区为上海：

```bash
sudo timedatectl set-timezone Asia/Shanghai
```

1. 验证时区设置是否生效：

```bash
timedatectl
```

![img](./images/1739538764224-01b52d60-3fd3-4112-a6cd-580aad08bca0.png)

## 添加端口

```bash
firewall-cmd --zone=public --add-port=3306/tcp --permanent
firewall-cmd --zone=public --add-port=6379/tcp --permanent
firewall-cmd --zone=public --add-port=9200/tcp --permanent
firewall-cmd --zone=public --add-port=80/tcp --permanent
firewall-cmd --zone=public --add-port=3000/tcp --permanent
firewall-cmd --zone=public --add-port=5000/tcp --permanent
firewall-cmd --zone=public --add-port=6000/tcp --permanent
firewall-cmd --zone=public --add-port=8080/tcp --permanent
firewall-cmd --zone=public --add-port=9300/tcp --permanent
firewall-cmd --zone=public --add-port=15672/tcp --permanent
firewall-cmd --zone=public --add-port=5672/tcp --permanent
firewall-cmd --zone=public --add-port=5672/tcp --permanent
firewall-cmd --zone=public --add-port=15672/tcp --permanent
firewall-cmd --zone=public --add-port=3305/tcp --permanent
firewall-cmd --zone=public --add-port=3304/tcp --permanent
firewall-cmd --zone=public --add-port=9090/tcp --permanent
firewall-cmd --zone=public --add-port=9000/tcp --permanent
firewall-cmd --zone=public --add-port=8080/tcp --permanent
firewall-cmd --zone=public --add-port=8084/tcp --permanent
firewall-cmd --zone=public --add-port=8888/tcp --permanent
firewall-cmd --zone=public --add-port=2000/tcp --permanent
firewall-cmd --zone=public --add-port=1000/tcp --permanent
firewall-cmd --zone=public --add-port=1666/tcp --permanent
firewall-cmd --zone=public --add-port=8040/tcp --permanent
firewall-cmd --zone=public --remove-port=465/tcp --permanent
```

## IP地址

源文件

```bash
TYPE=Ethernet
PROXY_METHOD=none
BROWSER_ONLY=no
BOOTPROTO=dhcp
DEFROUTE=yes
IPV4_FAILURE_FATAL=no
IPV6INIT=yes
IPV6_AUTOCONF=yes
IPV6_DEFROUTE=yes
IPV6_FAILURE_FATAL=no
NAME=eno1
UUID=e09a2739-00ae-4771-b2a0-45f667f79b73
DEVICE=eno1
ONBOOT=yes
```

修改后

配置静态ip：192.168.3.98

```bash
TYPE=Ethernet
PROXY_METHOD=none
BROWSER_ONLY=no
DEFROUTE=yes
IPV4_FAILURE_FATAL=no
IPV6INIT=yes
IPV6_AUTOCONF=yes
IPV6_DEFROUTE=yes
IPV6_FAILURE_FATAL=no
NAME=eno1
UUID=e09a2739-00ae-4771-b2a0-45f667f79b73
DEVICE=eno1
ONBOOT=yes
BOOTPROTO=static
BROADCAST=192.168.3.255
IPADDR=192.168.3.98
NETMASK=255.255.254.0
GATEWAY=192.168.3.1
```

重启服务

```bash
/etc/init.d/network restart
```

## DNS

修改前

```plain
# Generated by NetworkManager
nameserver 192.168.2.1
```

修改后

```plain
# Generated by NetworkManager
nameserver 192.168.2.1
nameserver 114.114.114.114
nameserver 8.8.8.8
```


 
