# 施工管理

相对于工程合同价而言，施工成本规划的成本值是实际值。

### 施工安全生产管理

#### 安全处理

**冗余安全处理**

单方面处理问题，死抓住一点，比如路上有坑，就想方设法将路上这个坑设置警告，安防警示牌、夜间照明、防护栏

**单项安全处理**

从多角度处理，如工地触电，一方面对用电安全进行操作教育、另一方面对现场设置漏电开关，配电箱进行防护改造

**直接隐患和间接隐患并治处理**

对现场人、机进行处理，还需要注意这些可能会发生的事故进行处理

**预防与减灾并重处理原则**

编制应急预案，设法降低事故等级

**重点处理原则**

实型危险分级处理，按照优先级处理

**动态处理原则**

随时发现问题随时处理

#### 危险源控制

- 第一类危险源：物体。
  - 安全看控制需要对物体。

- 第二类危险源 ：人。
  - 安全控制需要对人进行教育

### 施工质量

#### 控制的内容和方法

> [!tip]
>
> 可以简记为：**监服**

施工定位和标高基准控制：**服装**

- 施工单位必须对建设单位提供**原始坐标点**、**基准线**和**水准点等测量控制点**进行复核，并报**监理工程师**审核。

#### 施工质量事故预防与处理

按照等级划分为：3、10、30。

- 一般事故：1-2
- 较大事故：3-9
- 重大事故：10-29
- 特别重大事故：≥30

#### 施工质量控制内容和方法

对重要建材的使用，必须经过监理工程师签字和项目经理签准。

![建设工程](./images/image-20250227170014402.png)

### 施工合同

#### 施工合同的索赔

承包人按合同约定接受了竣工付款证书后，应被认为无权再提出工程接受证书颁发前所发生的任何索赔。

承包人按合同约定提出最终结清申请单，只限于提出工程接近发生后的索赔。提出索赔的期限自接受最终结清证书时终止。

工程施工过程中发生索赔事件以后,承包人首先要做的是：提出索赔意向通知。

**索赔事件**，又称为**干扰事件**，是指那些实际情况与合同规定不符合，最终引起**工期和费用**变化的各类事件。

> [!CAUTION]
>
> 每个`2.`之后不可以再要前面的内容。为最后的时刻点。

```mermaid
timeline
    title 承包人提出索赔的期限
      工程开工 : 开始
      竣工验收 : 1. 工程接受证书
              : 2. 竣工付款证书
  缺陷责任到期  : 1. 最终结清申请书
              : 2. 最终结清书


```

#### 施工合同执行过程的管理

##### 合同跟踪对象

1. 承包的任务
   1. 工程施工的质量，包括材料、构件、制品和设备等的质量，以及施工或安装质量，是否符合合同要求等;
   2. 工程进度，是否在预定期限内施工，工期有无延长，延长的原因是什么等;
   3. 工程数量，是否按合同要求完成全部施工任务，有无合同规定以外的施工任务等:
   4. 成本的增加和减少。
2. 可以将工程施工任务分解交由不同的工程小组或发包给专业分包单位完成，工程承包人必须对这些工程小组或分包人及其所负责的工程进行跟踪检查，协调关系、提出意见、建议或警告，保证工程总体质量和进度。对专业分包人的工作和负责的工程，总承包商负有协调和管理的责任，并承担由此造成的损失，所以专业分包人的工作和负责的工程必须纳入总承包工程的计划和控制中，防止因分包人工程管理失误而影响全局。
3. 主和其委托的工程师(监理人)的工作:
   1. 业主是否及时、完整地提供了工程施工的实施条件，如场地、图纸、资料等;
   2. 业主和工程师(监理人)是否及时给予了指令、答复和确认等:
   3. 业主是否及时并足额地支付了应付的工程款项。

#### 施工合同与采购合同

**质量标准要求原则**

> [!NOTE]
>
> 部颁（部门主管）

- 约定质量标准的一般原则是:
  1. 按颁布的国家标准执行;
  2. 没有国家标准而有部颁标准的则按照部颁标准执行;
  3. 没有国家标准和部颁标准为依据时，可按照企业标准执行;
  4. 没有上述标准或虽有上述标准但采购方有特殊要求，按照双方在合同中约定的技术条件、样品或补充的技术要求执行。

```mermaid
flowchart LR
    国家 --> 部颁 --> 企业 --> 采购方
```

专业分包人可以按照一部分规定办理有关施工手续，费用由承包人承担。

### 施工组织设计的内容和编制方法

分部(分项)工程施工组织设计[也称为分部(分项)工程作业设计，或称分部(分项）工程施工设计是针对：某些特别重要的、技术复杂的，或采用新工艺、新技术施工的分部(分项)工程，如深基础、无粘结预应力混凝土、特大构件的吊装、大量土石方工程、定向爆破工程等为对象编制的，其内容具体、详细，可操作性强，是直接指导分部(分项)工程施工的依据。

- 施工组织总设计：一栋小区整体
- 单位工程施工组织 ：一栋小区中一栋楼
- 分部(分项)工程施工组织设计：某些特别重要的、技术复杂的，或采用新工艺、新技术施工的分部(分项)工程，如**深基础、无粘结预应力混凝土、特大构件的吊装、大量土石方工程、定向爆破工程等为对象编制的**，其内容具体、详细，可操作性强，是直接指导分部(分项)工程施工的依据。

### 施工项目经理的任务和责任

- 项目经理必须由取得建造师注册证书的人员担任；最终由企业自主决定。

- 更换项目经理，第一次申请是 14 天，第二次申请是 28 天。

- 一个建造师只能担任一个项目上。

![施工项目经理的任务和责任](./images/image-20250227164825221.png)

> [!tip]
>
> 记忆方法：**劳保**

项目经理应是承包人正式聘用的员工，承包人应向发包人提出经理与承包人之间的劳动合同，以及承包人为项目经理缴纳社会保险证明

**更换项目经理的注意点**

承包人不提交上述文件的，项目经理无权履行职责，发包人有权要求项目经理，由此增加费用和延误工期由承包人承担。

项目经理离开施工现场时，应事先通知监理人，并取得发包人的同意。

项目经理应常驻施工现场，且每月在施工现场时间不得少于专用合同条款约定的天数:项目经理不得同时担任其他项目的项目经理。发包人有权书面通知承包人更换其认为不称职的项目经理，通知中应当载明要求更换的理由。承包人应在接到更换通知后14天内向发包人提出书面的改进报告。发包人收到改进报告后仍要求更换的，承包人应在接到第二次更换通知的28天内进行更换，并将新任命的项目经理的注册执业资格、管理经验等资料书面通知发包人。

### 施工管理的组织

纵向的都是公司里的，横向的都是项目部的。

![施工管理的组织](./images/image-20250227165852404.png)

> [!tip]
>
> 如果调整的是人就是**组织**

系统的目标决定了系统的组织，而组织是目标能否实现的决定性因素，这是组织论的个重要结论。

### 施工信息管理的任务和方法

施工记录信息包括:施工日志、质量检查记录、材料设备进场记录、用工记录表等。

### 施工成本计划和成本控制

- 现场成本：项目经理部

- 竣工工程：企业财务部门

### 职业健康安全管理体系与环境管理体系

> [!tip]
>
> 表书见鬼，见（监）鬼（规格）

作业文件是指管理手册程序文件之外的文件，一般包括作业指导书(操作规程)、管理规定、监测活动准则及程序文件引用的表格。其编写的内容和格式与程序文件的要求基本相同。在编写之前应对原有的作业文件进行清理，摘其有用，删除无关。

### 施工成本管理的任务、程序和措施

为了编制出能够发挥积极作用的成本计划，在编制成本计划时应遵循以下一些原则

1. 从实际情况出发;
2. 与其他计划相结合
3. 采用先进技术经济指标;
4. 统一领导、分级管理;适度弹性。

#### 施工成本核算、成本分析和成本考核

成本计划的效益指标，如项目成本降低额:

1. 设计预算总成本计划降低额三设计预算总成本一计划总成本;
2. 责任目标总成本计划降低额=责任目标总成本一计划总成本。

### 施工安全管理

1. 本身纯在危险性为：**第一类危险源**
2. 认为造成的：**第二类危险源**

### 施工质量管理与施工质量控制

施工质量控制应以人的因素基本出发点。

施工质量特性主要体现在由施工形成的建筑工程的**适用性、安全性、耐久性、可靠性、经济性、环境协调性**

#### 环境因素

1. 与施工

### 施工文件归档管理

建设工程文件指的是:“在工程建设过程中形成的各种形式的信息记录，包括：

1. 工程准备阶段文件
2. 监理文件
3. 施工文件
4. 竣工图和竣工验收文件，也可简称为工程文件。

### 施工发承包模式

1. 招标人所规定的投标截止日就是提交标书最后的期限。投标人在招标截止日之前所提交的投标是有效的，超过该日期之后就会被视为无效投标。
2. 投标文件应当对招标文件提出的实质性要求和条件做出响应。投标不完备或投标没有达到招标人的要求，在招标范围以外提出新的要求，均被视为对于招标文件的否定，不会被招标人所接受。
3. 如果不密封或密封不满足要求，投标是无效的。投标书还需要按照要求签章，投标书需要盖有投标企业公章以及企业法人的名章(或签字)

1. 评标分为评标的准备、初步评审、详细评审、编写评标报告等过程。
2. 详细评审是评标的核心，是对标书进行实质性审查，包括技术评审和商务评审。所以D错误。
3. 大小写不一致的以大写为准，单价与数量的乘积之和与所报的总价不一致的应以单价为准;标书正本和副本不一致的，则以正本为准。所以AB错误。

### 施工职业健康安全与环境管理

1. 管理评审是施工企业最高管理者对管理体系的系统评价
2. 内部审核是管理体系自我保证和自我监督的一种机制
3. 管理评审是是对管理体系运行中执行合规性评价

### 建设行政管理部门对施工质量的监督管理

建设行政主管部门对工程质量监督的性质属于**行政执法**

### 建设工程

#### 建设工程定额

$$
生产率(需要的时间) × 8 × 机械利用系数
$$

> [!TIP]
>
> 造修用废(回收)

周转性材料消耗一般与下列四个因素有关

1. 第一次制造时的材料消耗(一次使用量);
2. 每周转使用一次材料的损耗(第二次使用时需要补充);
3. 周转使用次数;
4. 周转材料的最终回收及其回收折价。

#### 建设工程项目的动态控制

项目目标动态控制的核心是，在项目实施的过程中定期地进行项目目标的计划值和实际值的比较，当发现项目目标偏离时采取纠偏措施。

#### 建设工程监理的工作任务和工作方法

> [!tip]
>
> 划技细总

### 建筑安装

#### 建筑安装工程费用项目的组成与计算

总承包服务费由建设单位在招标控制价中根据总包服务范围和有关计价规定编制，施工企业投标时自主报价，施工过程中按签约合同价执行。

**施工计价方式**

> [!warning]
>
> 做的内容超出计划，不计算！！！

```mermaid
flowchart LR
合同价--> 清单 --- 招标人提供-顾客
合同价--> 综合价格 --- 投标人提供-酒店

实际支付 --> 实际完成工程量
实际支付 --> 合同单价
```

#### 建筑安装工程费用项目的组成与计算

1. 不得违背投标文件实质性内容

2. 对安全文明施工费用应约定支付计划、使用需求

3. 应约定质量保证金的总额为工程价款结算总额为工程价款结算总额的3%

##### 税金问题

建筑安装工程费用的税金是指国家税法规定应计入建筑安装工程造价内的增值税销项税额

### 生产安全事故应急预案和事故处理

#### 施工生产安全事故应急预案体系的构成

1. 综合应急预案：
   - 综合应急预案是从总体上阐述事故的应急方针、政策，应急组织结构及相关应急职责
     应急行动、措施和保障等基本要求和程序，是应对各类事故的综合性文件。

2. 专项应急预案:
   - 专项应急预案是针对具体的事故类别(如基坑开挖、脚手架拆除等事故)、危险源和应急保障而制定的计划或方案，是综合应急预案的组成部分，应按照综合应急预案的程序和要求组织制定，并作为综合应急预案的附件。专项应急预案应制定明确的救援程序和具体的应急救援措施。
3. 现场处置方案。

#### 罚款等级

**100w：**客观上，有情可原。

**100w-900w：**主观上的，知道事情的。

